%define fname entrypoints
%define sum Discover and load entry points from installed packages
%define python2_wheelname %{fname}-%{version}-py2.py3-none-any.whl
%define python3_wheelname %python2_wheelname


Name:		python-%{fname}
Summary:	%{sum}
Version:	0.3.0
Release:	%mkrel 5
Source0:	https://pypi.io/packages/source/e/%{fname}/%{fname}-0.3.tar.gz
URL:		https://entrypoints.readthedocs.io/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(flit)
BuildRequires:	python3dist(sphinx)


%description
The entrypoints module contains functions to find and load entry points.

%package -n python3-%{fname}
Group:          Development/Python
Summary:	%{sum}
Provides:       pythonegg(3)(%{fname}) = %{version}
Provides:       python3dist(%{fname}) = %{version}
Provides:       python%{python3_version}dist(%{fname}) = %{version}
%{?python_provide:%python_provide python3-%{fname}}


%description -n python3-%{fname}
Entry points are a way for Python packages to advertise objects with some
common interface. The most common examples are console_scripts entry points,
which define shell commands by identifying a Python function to run.

The entrypoints module contains functions to find and load entry points.


%package -n python-%{fname}-doc
Group:          Documentation
Summary:	Documentation for python-entrypoints


%description -n python-%{fname}-doc
Documentation files for python-entrypoints


%prep
%autosetup -n %{fname}-0.3

# We don't need to verify PyPI classifiers, because the package is already
# there. So just make specified classifiers "valid".
mkdir -p .cache/flit
if false; then
%{__python3} -c "with open('flit.ini', 'rb') as inf:
    with open('.cache/flit/classifiers.lst', 'wb') as outf:
        enable_output = False
        for line in inf:
            if enable_output:
                if b'=' in line:
                    break
                outf.write(line)
            elif b'classifiers' in line:
                outf.write(line.split(b'=')[1])
                enable_output = True
"
fi

%build
%py3_build
if false; then
XDG_CACHE_HOME=$PWD/.cache flit wheel
fi

pushd doc
make html PYTHON="%{__python3}" SPHINXBUILD=sphinx-build-%{python3_version}
rm _build/html/.buildinfo
popd


%install
%py3_install

%files -n python3-%{fname}
%license LICENSE
%{python3_sitelib}/*


%files -n python-%{fname}-doc
%doc doc/_build/html
%license LICENSE



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1530970
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.3.0-4.mga8
+ Revision: 1438034
- rebuild for python3.8
- drop python2 support

* Wed Mar 20 2019 shlomif <shlomif> 0.3.0-3.mga7
+ Revision: 1379308
- Fix provides for flake8

* Sat Mar 16 2019 shlomif <shlomif> 0.3-2.mga7
+ Revision: 1378071
- Fix contents

* Sat Mar 16 2019 shlomif <shlomif> 0.3-1.mga7
+ Revision: 1378066
- New version 0.3

* Tue Jan 08 2019 shlomif <shlomif> 0.2.3-5.mga7
+ Revision: 1352654
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-4.mga7
+ Revision: 1288796
- Mageia 7 Mass Rebuild

* Wed Aug 16 2017 philippem <philippem> 0.2.3-3.mga7
+ Revision: 1141178
- add more provides

* Tue Aug 15 2017 philippem <philippem> 0.2.3-2.mga7
+ Revision: 1141036
- force requires and provides

* Tue Aug 15 2017 philippem <philippem> 0.2.3-1.mga7
+ Revision: 1140997
- update to 0.2.3, build wheel

* Sat Aug 05 2017 pterjan <pterjan> 0.2-2.mga7
+ Revision: 1135413
- Rebuild for python 3.6

* Sat Apr 16 2016 philippem <philippem> 0.2-1.mga6
+ Revision: 1003066
- summary-ended-with-dot
- imported package python-entrypoints

